vncserver(1)

NAME
vncserver - start or stop a VNC server

SYNOPSIS
vncserver [:display#] [-name desktop-name] [-geometry widthxheight] [-depth depth] [-pixelformat format] [Xvnc-options...]
vncserver -kill :display#

DESCRIPTION
vncserver is used to start a VNC (Virtual Network Computing) desktop. vncserver is a Perl script which simplifies the process of starting an Xvnc server. It runs Xvnc with appropriate options and starts some X applications to be displayed in the VNC desktop. vncserver can be run with no options at all. In this case it will choose the first available display number (usually :1), start Xvnc as that display, and run a couple of basic applications to get you started. You can also specify the display number, in which case it will use that number if it is available and exit if not, eg:
    vncserver :13
Editing the file $HOME/.vnc/Xvnc-session allows you to change the applications run at startup (but note that this will not affect an existing desktop).

OPTIONS
You can get a list of options by giving -h as an option to vncserver. In addition to the options listed below, any unrecognised options will be passed to Xvnc - see the Xvnc man page, or "Xvnc -help" for details.

-name desktop-name
    Each desktop has a name which may be displayed by the viewer. It defaults to "host:display# (username)" but you can change it with this option. It is passed in to the Xvnc-session script via the $VNCDESKTOP environment variable, allowing you to run a different set of applications according to the name of the desktop.

-geometry widthxheight
    Specify the size of the desktop to be created. Default is 1024x768.

-depth depth
    Specify the pixel depth in bits of the desktop to be created. Default is 16, other possible values are 8, 15 and 24 - anything else is likely to cause strange behaviour by applications.

-pixelformat format
    Specify pixel format for server to use (BGRnnn or RGBnnn). The default for depth 8 is BGR233 (meaning the most significant two bits represent blue, the next three green, and the least significant three represent red), the default for depth 16 is RGB565 and for depth 24 is RGB888.

-cc 3
    As an alternative to the default TrueColor visual, this allows you to run an Xvnc server with a PseudoColor visual (i.e. one which uses a colour map or palette), which can be useful for running some old X applications which only work on such a display. Values other than 3 (PseudoColor) and 4 (TrueColor) for the -cc option may result in strange behaviour, and PseudoColor desktops must be 8 bits deep.

-kill :display#
    This kills a VNC desktop previously started with vncserver. It does this by killing the Xvnc process, whose process ID is stored in the file "$HOME/.vnc/host:display#.pid". It actually ignores anything preceding a ":" in its argument. This can be useful so you can write "vncserver -kill $DISPLAY", for example at the end of your Xvnc-session file after a particular application exits.

FILES
Several VNC-related files are found in the directory $HOME/.vnc:

$HOME/.vnc/vnc.conf
    The user configuration file for vncserver.

$HOME/.vnc/Xvnc-session
    A shell script specifying X applications to be run when a VNC desktop is started. If it doesn't exist, vncserver will create a new one which runs a couple of basic applications.

$HOME/.vnc/passwd
    The VNC password file.

$HOME/.vnc/host:display#.log
    The log file for Xvnc and applications started in xstartup.

$HOME/.vnc/host:display#.pid
    Identifies the Xvnc process ID, used by the -kill option.
Furthermore there is a global configutation file for vncserver:

/etc/vnc.conf
    The global configuration file for vncserver.

SEE ALSO
vnc.conf(1), vncviewer(1), vncpasswd(1), vncconfig(1), Xvnc(1)
http://www.realvnc.com

AUTHOR
Tristan Richardson, RealVNC Ltd. VNC was originally developed by the RealVNC team while at Olivetti Research Ltd / AT&T Laboratories Cambridge. It is now being maintained by RealVNC Ltd. See http://www.realvnc.com for details.